/*
 * settings.h
 *
 * Created: 16.03.2013 12:18:24
 *  Author: admin
 */ 


#ifndef SETTINGS_H_
#define SETTINGS_H_
#include <avr/io.h>

#define F_CPU 16000000UL
#define F_CPU_1 8000000UL
#define BAUDRATE (9600)//(250000)//(76800)
#define BAUD_PRESCALLER (((F_CPU1/(BAUDRATE*16UL)))-1)

#define BRIGHT_KEY_PORT      PORTD
#define BRIGHT_KEY_PIN       PORTD2
#define BRIGHT_KEY_PORT_DIR  DDRD

#define MODE_KEY_PORT      PORTD
#define MODE_KEY_PIN       PORTD4
#define MODE_KEY_PORT_DIR  DDRD

#define BRIGHTNESS_DEFAULT 2048
#define NUM_OF_ANIMATIONS 12
#define EEPROM_MODE_START 0x0010
#define EEPROM_LAST_MODE  0x0000

#define SETUP_MODE_DISABLE 0
#define SETUP_MODE_SPEED 1
#define SETUP_MODE_BRIGHTNESS 2

#define BRIGHTNESS_MIN   10
#define BRIGHTNESS_MAX 4095
#define BRIGHTNESS_SETUP_SETP 100

#define MODE_AUTO NUM_OF_ANIMATIONS-1

extern volatile uint16_t a_brightness[NUM_OF_ANIMATIONS];
extern uint16_t a_speed[NUM_OF_ANIMATIONS];

extern volatile uint8_t Setup_mode;
extern volatile uint8_t mode;
extern volatile uint16_t brightness;
extern volatile uint8_t tim1_auto_delay_done;


#endif /* SETTINGS_H_ */