#ifndef __BATTERY___
#define __BATTERY___

#include <avr/io.h>


#define BATTERY_VOLTAGE_ACC_AVG    3  //8 values
#define BATTERY_VOLTAGE_LOW        3000 //Lower Voltage Limit in mV
#define BATTERY_VOLTAGE_WARNING    3100 //Warnig if Voltage is closed to lower limit in mV
#define BATTERY_VOLTAGE_OK         3200 //Limit for Voltage OK in mV

void BATTERY_FillAvgBuffer();
uint16_t BATTERY_AddToAvg();
uint16_t BATTERY_GetVoltageAvg();


#endif //__BATTERY___