/*
 * SPI.h
 *
 * Created: 20.10.2012 17:14:56
 *  Author: admin
 */ 


#ifndef SPI_H_
#define SPI_H_

#include <avr/io.h>

#define SPI_MOSI     PINB3
#define SPI_MISO     PINB4	
#define SPI_SS       PINB2
#define SPI_CLK      PINB5

#define SPI_SetSS()   (PORTB|=(1<<SPI_SS))
#define SPI_ClearSS() (PORTB&=~(1<<SPI_SS))

extern uint8_t SPI_Used;
void SPI_Init();
uint8_t SPI_IsEnabled();
uint8_t SPI_IsInit();
uint8_t SPI_Read();
uint8_t SPI_Write(uint8_t Data);

#endif /* SPI_H_ */