#ifndef __SWITCH_H__
#define __SWITCH_H__

#include <avr/io.h>
#include <avr/interrupt.h>
#include "settings.h"

void Bright_Key_Init();
uint8_t GetBrightKey();
uint16_t GetBrightness();
void SetBrightness(uint16_t value);


void Mode_Key_Init();
uint8_t GetModeKey();
uint8_t GetMode();
void SetMode(uint8_t value);

uint8_t GetSetupMode();

#endif //__SWITCH_H_